#!/bin/bash


logMsg() {
  echo "["`date +%d'-'%b'-'%Y' '%H':'%M':'%S`"] $1" >> /proc/self/fd/2
}


rm -f /usr/local/etc/php/conf.d/zz-opcache-revalidation.ini
if [ "$PHP_OPCACHE_REVALIDATION" == "1" ]; then
  echo "opcache.validate_timestamps = On" \
    > /usr/local/etc/php/conf.d/zz-opcache-revalidation.ini
  logMsg "STARTUP: PHP OPcache revalidation is enabled"
fi


appDir=/app
if [ "$SHARE_APP" == "1" ]; then
  mkdir -p /shared
  cp -rf /app/* /app/.htaccess /shared/
  chown -R www-data:www-data /shared/* /shared/.htaccess
  appDir=/shared
fi
rm -f /var/www
ln -s $appDir /var/www
chown -R www-data:www-data /var/www

cd /app
/tmp/composer update --no-dev --optimize-autoloader --no-progress
/tmp/composer install --no-dev --optimize-autoloader --no-progress
cd ..

# Copy the plugins' configs to the correct place
for i in `find /plugins_config/* -type f`; do 
  dir=$(dirname $i) 
  dir=${dir##*/}
  file=${i##*/}
  rm "/app/plugins/${dir}/${file}"
  ln -s "/plugins_config/${dir}/${file}" "/app/plugins/${dir}/${file}"
done

exec "$@"
